Skip to main content
`Ctrl`+`K`

# PCMGGetSmootherUp

Gets the KSP context to be used as smoother after coarse grid correction (post-smoother).

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetSmootherUp(PC pc, PetscInt l, KSP *ksp)

Not Collective, ksp returned is parallel if pc is

## Input Parameters

- pc - the multigrid context

- l - the level (0 is coarsest) to supply

## Output Parameter

- ksp - the smoother

## Note

Calling this will result in a different pre and post smoother so you may need to set options on the pre smoother also

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGGetSmootherDown()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mgfunc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages